<a id="types-aiobotocore-lite"></a>

# types-aiobotocore-lite

[![PyPI - types-aiobotocore-lite](https://img.shields.io/pypi/v/types-aiobotocore.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lite)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-lite.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lite)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-lite?color=blue)](https://pypistats.org/packages/types-aiobotocore-lite)

![boto3.typed](https://github.com/youtype/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore 2.3.4](https://github.com/aio-libs/aiobotocore) compatible with
[VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.11.3](https://github.com/youtype/mypy_boto3_builder).

More information can be found in
[types-aiobotocore-lite docs](https://youtype.github.io/types_aiobotocore_docs/).

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/youtype/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-lite](#types-aiobotocore-lite)
  - [How to install](#how-to-install)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [How it works](#how-it-works)
  - [What's new](#what's-new)
    - [Implemented features](#implemented-features)
    - [Latest changes](#latest-changes)
  - [Versioning](#versioning)
  - [Thank you](#thank-you)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)
  - [Submodules](#submodules)

<a id="how-to-install"></a>

## How to install

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore-lite` to add type annotations for `aiobotocore`
package.

```bash
# install type annotations only for aiobotocore
python -m pip install types-aiobotocore-lite

# install aiobotocore type annotations
# for ec2, s3, rds, lambda, sqs, dynamo and cloudformation
python -m pip install 'types-aiobotocore-lite[essential]'

# or install annotations for services you use
python -m pip install 'types-aiobotocore-lite[acm,apigateway]'


```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
# uninstall types-aiobotocore-lite
python -m pip uninstall -y types-aiobotocore-lite
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore-lite[essential]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[essential]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore-lite` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore-lite`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore-lite[essential]` with services you use in your
  environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore-lite[essential]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore-lite[essential]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[essential]'
```

Optionally, you can install `types-aiobotocore-lite` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="how-it-works"></a>

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers a drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from the documentation (blame `botocore` docs if types
  are incorrect).
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

<a id="what's-new"></a>

## What's new

<a id="implemented-features"></a>

### Implemented features

- Fully type annotated `boto3`, `botocore` and `aiobotocore` libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.session` calls
- Auto discovery of types for `session.client` and `session.session` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

<a id="latest-changes"></a>

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/youtype/mypy_boto3_builder/releases).

<a id="versioning"></a>

## Versioning

`types-aiobotocore-lite` version is the same as related `aiobotocore` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="thank-you"></a>

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

<a id="documentation"></a>

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://youtype.github.io/types_aiobotocore_docs/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder/issues/)
repository.

<a id="submodules"></a>

## Submodules

- `types-aiobotocore-lite[all]` - Type annotations for all 301 services.
- `types-aiobotocore-lite[essential]` - Type annotations for
  [CloudFormation](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudformation/),
  [DynamoDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dynamodb/),
  [EC2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ec2/),
  [Lambda](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lambda/),
  [RDS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rds/),
  [S3](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_s3/)
  and
  [SQS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sqs/)
  services.
- `types-aiobotocore-lite[accessanalyzer]` - Type annotations for
  [AccessAnalyzer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_accessanalyzer/)
  service.
- `types-aiobotocore-lite[account]` - Type annotations for
  [Account](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_account/)
  service.
- `types-aiobotocore-lite[acm]` - Type annotations for
  [ACM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_acm/)
  service.
- `types-aiobotocore-lite[acm-pca]` - Type annotations for
  [ACMPCA](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_acm_pca/)
  service.
- `types-aiobotocore-lite[alexaforbusiness]` - Type annotations for
  [AlexaForBusiness](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_alexaforbusiness/)
  service.
- `types-aiobotocore-lite[amp]` - Type annotations for
  [PrometheusService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_amp/)
  service.
- `types-aiobotocore-lite[amplify]` - Type annotations for
  [Amplify](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_amplify/)
  service.
- `types-aiobotocore-lite[amplifybackend]` - Type annotations for
  [AmplifyBackend](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_amplifybackend/)
  service.
- `types-aiobotocore-lite[amplifyuibuilder]` - Type annotations for
  [AmplifyUIBuilder](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_amplifyuibuilder/)
  service.
- `types-aiobotocore-lite[apigateway]` - Type annotations for
  [APIGateway](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_apigateway/)
  service.
- `types-aiobotocore-lite[apigatewaymanagementapi]` - Type annotations for
  [ApiGatewayManagementApi](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_apigatewaymanagementapi/)
  service.
- `types-aiobotocore-lite[apigatewayv2]` - Type annotations for
  [ApiGatewayV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_apigatewayv2/)
  service.
- `types-aiobotocore-lite[appconfig]` - Type annotations for
  [AppConfig](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appconfig/)
  service.
- `types-aiobotocore-lite[appconfigdata]` - Type annotations for
  [AppConfigData](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appconfigdata/)
  service.
- `types-aiobotocore-lite[appflow]` - Type annotations for
  [Appflow](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appflow/)
  service.
- `types-aiobotocore-lite[appintegrations]` - Type annotations for
  [AppIntegrationsService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appintegrations/)
  service.
- `types-aiobotocore-lite[application-autoscaling]` - Type annotations for
  [ApplicationAutoScaling](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_application_autoscaling/)
  service.
- `types-aiobotocore-lite[application-insights]` - Type annotations for
  [ApplicationInsights](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_application_insights/)
  service.
- `types-aiobotocore-lite[applicationcostprofiler]` - Type annotations for
  [ApplicationCostProfiler](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_applicationcostprofiler/)
  service.
- `types-aiobotocore-lite[appmesh]` - Type annotations for
  [AppMesh](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appmesh/)
  service.
- `types-aiobotocore-lite[apprunner]` - Type annotations for
  [AppRunner](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_apprunner/)
  service.
- `types-aiobotocore-lite[appstream]` - Type annotations for
  [AppStream](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appstream/)
  service.
- `types-aiobotocore-lite[appsync]` - Type annotations for
  [AppSync](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_appsync/)
  service.
- `types-aiobotocore-lite[athena]` - Type annotations for
  [Athena](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_athena/)
  service.
- `types-aiobotocore-lite[auditmanager]` - Type annotations for
  [AuditManager](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_auditmanager/)
  service.
- `types-aiobotocore-lite[autoscaling]` - Type annotations for
  [AutoScaling](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_autoscaling/)
  service.
- `types-aiobotocore-lite[autoscaling-plans]` - Type annotations for
  [AutoScalingPlans](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_autoscaling_plans/)
  service.
- `types-aiobotocore-lite[backup]` - Type annotations for
  [Backup](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_backup/)
  service.
- `types-aiobotocore-lite[backup-gateway]` - Type annotations for
  [BackupGateway](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_backup_gateway/)
  service.
- `types-aiobotocore-lite[batch]` - Type annotations for
  [Batch](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_batch/)
  service.
- `types-aiobotocore-lite[billingconductor]` - Type annotations for
  [BillingConductor](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_billingconductor/)
  service.
- `types-aiobotocore-lite[braket]` - Type annotations for
  [Braket](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_braket/)
  service.
- `types-aiobotocore-lite[budgets]` - Type annotations for
  [Budgets](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_budgets/)
  service.
- `types-aiobotocore-lite[ce]` - Type annotations for
  [CostExplorer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ce/)
  service.
- `types-aiobotocore-lite[chime]` - Type annotations for
  [Chime](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_chime/)
  service.
- `types-aiobotocore-lite[chime-sdk-identity]` - Type annotations for
  [ChimeSDKIdentity](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_chime_sdk_identity/)
  service.
- `types-aiobotocore-lite[chime-sdk-meetings]` - Type annotations for
  [ChimeSDKMeetings](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_chime_sdk_meetings/)
  service.
- `types-aiobotocore-lite[chime-sdk-messaging]` - Type annotations for
  [ChimeSDKMessaging](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_chime_sdk_messaging/)
  service.
- `types-aiobotocore-lite[cloud9]` - Type annotations for
  [Cloud9](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloud9/)
  service.
- `types-aiobotocore-lite[cloudcontrol]` - Type annotations for
  [CloudControlApi](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudcontrol/)
  service.
- `types-aiobotocore-lite[clouddirectory]` - Type annotations for
  [CloudDirectory](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_clouddirectory/)
  service.
- `types-aiobotocore-lite[cloudformation]` - Type annotations for
  [CloudFormation](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudformation/)
  service.
- `types-aiobotocore-lite[cloudfront]` - Type annotations for
  [CloudFront](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudfront/)
  service.
- `types-aiobotocore-lite[cloudhsm]` - Type annotations for
  [CloudHSM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudhsm/)
  service.
- `types-aiobotocore-lite[cloudhsmv2]` - Type annotations for
  [CloudHSMV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudhsmv2/)
  service.
- `types-aiobotocore-lite[cloudsearch]` - Type annotations for
  [CloudSearch](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudsearch/)
  service.
- `types-aiobotocore-lite[cloudsearchdomain]` - Type annotations for
  [CloudSearchDomain](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudsearchdomain/)
  service.
- `types-aiobotocore-lite[cloudtrail]` - Type annotations for
  [CloudTrail](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudtrail/)
  service.
- `types-aiobotocore-lite[cloudwatch]` - Type annotations for
  [CloudWatch](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cloudwatch/)
  service.
- `types-aiobotocore-lite[codeartifact]` - Type annotations for
  [CodeArtifact](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codeartifact/)
  service.
- `types-aiobotocore-lite[codebuild]` - Type annotations for
  [CodeBuild](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codebuild/)
  service.
- `types-aiobotocore-lite[codecommit]` - Type annotations for
  [CodeCommit](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codecommit/)
  service.
- `types-aiobotocore-lite[codedeploy]` - Type annotations for
  [CodeDeploy](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codedeploy/)
  service.
- `types-aiobotocore-lite[codeguru-reviewer]` - Type annotations for
  [CodeGuruReviewer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codeguru_reviewer/)
  service.
- `types-aiobotocore-lite[codeguruprofiler]` - Type annotations for
  [CodeGuruProfiler](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codeguruprofiler/)
  service.
- `types-aiobotocore-lite[codepipeline]` - Type annotations for
  [CodePipeline](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codepipeline/)
  service.
- `types-aiobotocore-lite[codestar]` - Type annotations for
  [CodeStar](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codestar/)
  service.
- `types-aiobotocore-lite[codestar-connections]` - Type annotations for
  [CodeStarconnections](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codestar_connections/)
  service.
- `types-aiobotocore-lite[codestar-notifications]` - Type annotations for
  [CodeStarNotifications](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_codestar_notifications/)
  service.
- `types-aiobotocore-lite[cognito-identity]` - Type annotations for
  [CognitoIdentity](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cognito_identity/)
  service.
- `types-aiobotocore-lite[cognito-idp]` - Type annotations for
  [CognitoIdentityProvider](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cognito_idp/)
  service.
- `types-aiobotocore-lite[cognito-sync]` - Type annotations for
  [CognitoSync](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cognito_sync/)
  service.
- `types-aiobotocore-lite[comprehend]` - Type annotations for
  [Comprehend](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_comprehend/)
  service.
- `types-aiobotocore-lite[comprehendmedical]` - Type annotations for
  [ComprehendMedical](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_comprehendmedical/)
  service.
- `types-aiobotocore-lite[compute-optimizer]` - Type annotations for
  [ComputeOptimizer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_compute_optimizer/)
  service.
- `types-aiobotocore-lite[config]` - Type annotations for
  [ConfigService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_config/)
  service.
- `types-aiobotocore-lite[connect]` - Type annotations for
  [Connect](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_connect/)
  service.
- `types-aiobotocore-lite[connect-contact-lens]` - Type annotations for
  [ConnectContactLens](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_connect_contact_lens/)
  service.
- `types-aiobotocore-lite[connectparticipant]` - Type annotations for
  [ConnectParticipant](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_connectparticipant/)
  service.
- `types-aiobotocore-lite[cur]` - Type annotations for
  [CostandUsageReportService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_cur/)
  service.
- `types-aiobotocore-lite[customer-profiles]` - Type annotations for
  [CustomerProfiles](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_customer_profiles/)
  service.
- `types-aiobotocore-lite[databrew]` - Type annotations for
  [GlueDataBrew](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_databrew/)
  service.
- `types-aiobotocore-lite[dataexchange]` - Type annotations for
  [DataExchange](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dataexchange/)
  service.
- `types-aiobotocore-lite[datapipeline]` - Type annotations for
  [DataPipeline](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_datapipeline/)
  service.
- `types-aiobotocore-lite[datasync]` - Type annotations for
  [DataSync](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_datasync/)
  service.
- `types-aiobotocore-lite[dax]` - Type annotations for
  [DAX](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dax/)
  service.
- `types-aiobotocore-lite[detective]` - Type annotations for
  [Detective](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_detective/)
  service.
- `types-aiobotocore-lite[devicefarm]` - Type annotations for
  [DeviceFarm](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_devicefarm/)
  service.
- `types-aiobotocore-lite[devops-guru]` - Type annotations for
  [DevOpsGuru](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_devops_guru/)
  service.
- `types-aiobotocore-lite[directconnect]` - Type annotations for
  [DirectConnect](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_directconnect/)
  service.
- `types-aiobotocore-lite[discovery]` - Type annotations for
  [ApplicationDiscoveryService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_discovery/)
  service.
- `types-aiobotocore-lite[dlm]` - Type annotations for
  [DLM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dlm/)
  service.
- `types-aiobotocore-lite[dms]` - Type annotations for
  [DatabaseMigrationService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dms/)
  service.
- `types-aiobotocore-lite[docdb]` - Type annotations for
  [DocDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_docdb/)
  service.
- `types-aiobotocore-lite[drs]` - Type annotations for
  [drs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_drs/)
  service.
- `types-aiobotocore-lite[ds]` - Type annotations for
  [DirectoryService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ds/)
  service.
- `types-aiobotocore-lite[dynamodb]` - Type annotations for
  [DynamoDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dynamodb/)
  service.
- `types-aiobotocore-lite[dynamodbstreams]` - Type annotations for
  [DynamoDBStreams](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_dynamodbstreams/)
  service.
- `types-aiobotocore-lite[ebs]` - Type annotations for
  [EBS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ebs/)
  service.
- `types-aiobotocore-lite[ec2]` - Type annotations for
  [EC2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ec2/)
  service.
- `types-aiobotocore-lite[ec2-instance-connect]` - Type annotations for
  [EC2InstanceConnect](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ec2_instance_connect/)
  service.
- `types-aiobotocore-lite[ecr]` - Type annotations for
  [ECR](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ecr/)
  service.
- `types-aiobotocore-lite[ecr-public]` - Type annotations for
  [ECRPublic](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ecr_public/)
  service.
- `types-aiobotocore-lite[ecs]` - Type annotations for
  [ECS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ecs/)
  service.
- `types-aiobotocore-lite[efs]` - Type annotations for
  [EFS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_efs/)
  service.
- `types-aiobotocore-lite[eks]` - Type annotations for
  [EKS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_eks/)
  service.
- `types-aiobotocore-lite[elastic-inference]` - Type annotations for
  [ElasticInference](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elastic_inference/)
  service.
- `types-aiobotocore-lite[elasticache]` - Type annotations for
  [ElastiCache](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elasticache/)
  service.
- `types-aiobotocore-lite[elasticbeanstalk]` - Type annotations for
  [ElasticBeanstalk](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elasticbeanstalk/)
  service.
- `types-aiobotocore-lite[elastictranscoder]` - Type annotations for
  [ElasticTranscoder](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elastictranscoder/)
  service.
- `types-aiobotocore-lite[elb]` - Type annotations for
  [ElasticLoadBalancing](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elb/)
  service.
- `types-aiobotocore-lite[elbv2]` - Type annotations for
  [ElasticLoadBalancingv2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_elbv2/)
  service.
- `types-aiobotocore-lite[emr]` - Type annotations for
  [EMR](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_emr/)
  service.
- `types-aiobotocore-lite[emr-containers]` - Type annotations for
  [EMRContainers](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_emr_containers/)
  service.
- `types-aiobotocore-lite[es]` - Type annotations for
  [ElasticsearchService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_es/)
  service.
- `types-aiobotocore-lite[events]` - Type annotations for
  [EventBridge](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_events/)
  service.
- `types-aiobotocore-lite[evidently]` - Type annotations for
  [CloudWatchEvidently](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_evidently/)
  service.
- `types-aiobotocore-lite[finspace]` - Type annotations for
  [finspace](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_finspace/)
  service.
- `types-aiobotocore-lite[finspace-data]` - Type annotations for
  [FinSpaceData](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_finspace_data/)
  service.
- `types-aiobotocore-lite[firehose]` - Type annotations for
  [Firehose](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_firehose/)
  service.
- `types-aiobotocore-lite[fis]` - Type annotations for
  [FIS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_fis/)
  service.
- `types-aiobotocore-lite[fms]` - Type annotations for
  [FMS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_fms/)
  service.
- `types-aiobotocore-lite[forecast]` - Type annotations for
  [ForecastService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_forecast/)
  service.
- `types-aiobotocore-lite[forecastquery]` - Type annotations for
  [ForecastQueryService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_forecastquery/)
  service.
- `types-aiobotocore-lite[frauddetector]` - Type annotations for
  [FraudDetector](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_frauddetector/)
  service.
- `types-aiobotocore-lite[fsx]` - Type annotations for
  [FSx](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_fsx/)
  service.
- `types-aiobotocore-lite[gamelift]` - Type annotations for
  [GameLift](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_gamelift/)
  service.
- `types-aiobotocore-lite[glacier]` - Type annotations for
  [Glacier](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_glacier/)
  service.
- `types-aiobotocore-lite[globalaccelerator]` - Type annotations for
  [GlobalAccelerator](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_globalaccelerator/)
  service.
- `types-aiobotocore-lite[glue]` - Type annotations for
  [Glue](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_glue/)
  service.
- `types-aiobotocore-lite[grafana]` - Type annotations for
  [ManagedGrafana](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_grafana/)
  service.
- `types-aiobotocore-lite[greengrass]` - Type annotations for
  [Greengrass](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_greengrass/)
  service.
- `types-aiobotocore-lite[greengrassv2]` - Type annotations for
  [GreengrassV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_greengrassv2/)
  service.
- `types-aiobotocore-lite[groundstation]` - Type annotations for
  [GroundStation](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_groundstation/)
  service.
- `types-aiobotocore-lite[guardduty]` - Type annotations for
  [GuardDuty](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_guardduty/)
  service.
- `types-aiobotocore-lite[health]` - Type annotations for
  [Health](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_health/)
  service.
- `types-aiobotocore-lite[healthlake]` - Type annotations for
  [HealthLake](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_healthlake/)
  service.
- `types-aiobotocore-lite[honeycode]` - Type annotations for
  [Honeycode](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_honeycode/)
  service.
- `types-aiobotocore-lite[iam]` - Type annotations for
  [IAM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iam/)
  service.
- `types-aiobotocore-lite[identitystore]` - Type annotations for
  [IdentityStore](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_identitystore/)
  service.
- `types-aiobotocore-lite[imagebuilder]` - Type annotations for
  [imagebuilder](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_imagebuilder/)
  service.
- `types-aiobotocore-lite[importexport]` - Type annotations for
  [ImportExport](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_importexport/)
  service.
- `types-aiobotocore-lite[inspector]` - Type annotations for
  [Inspector](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_inspector/)
  service.
- `types-aiobotocore-lite[inspector2]` - Type annotations for
  [Inspector2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_inspector2/)
  service.
- `types-aiobotocore-lite[iot]` - Type annotations for
  [IoT](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iot/)
  service.
- `types-aiobotocore-lite[iot-data]` - Type annotations for
  [IoTDataPlane](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iot_data/)
  service.
- `types-aiobotocore-lite[iot-jobs-data]` - Type annotations for
  [IoTJobsDataPlane](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iot_jobs_data/)
  service.
- `types-aiobotocore-lite[iot1click-devices]` - Type annotations for
  [IoT1ClickDevicesService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iot1click_devices/)
  service.
- `types-aiobotocore-lite[iot1click-projects]` - Type annotations for
  [IoT1ClickProjects](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iot1click_projects/)
  service.
- `types-aiobotocore-lite[iotanalytics]` - Type annotations for
  [IoTAnalytics](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotanalytics/)
  service.
- `types-aiobotocore-lite[iotdeviceadvisor]` - Type annotations for
  [IoTDeviceAdvisor](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotdeviceadvisor/)
  service.
- `types-aiobotocore-lite[iotevents]` - Type annotations for
  [IoTEvents](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotevents/)
  service.
- `types-aiobotocore-lite[iotevents-data]` - Type annotations for
  [IoTEventsData](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotevents_data/)
  service.
- `types-aiobotocore-lite[iotfleethub]` - Type annotations for
  [IoTFleetHub](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotfleethub/)
  service.
- `types-aiobotocore-lite[iotsecuretunneling]` - Type annotations for
  [IoTSecureTunneling](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotsecuretunneling/)
  service.
- `types-aiobotocore-lite[iotsitewise]` - Type annotations for
  [IoTSiteWise](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotsitewise/)
  service.
- `types-aiobotocore-lite[iotthingsgraph]` - Type annotations for
  [IoTThingsGraph](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotthingsgraph/)
  service.
- `types-aiobotocore-lite[iottwinmaker]` - Type annotations for
  [IoTTwinMaker](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iottwinmaker/)
  service.
- `types-aiobotocore-lite[iotwireless]` - Type annotations for
  [IoTWireless](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/)
  service.
- `types-aiobotocore-lite[ivs]` - Type annotations for
  [IVS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ivs/)
  service.
- `types-aiobotocore-lite[kafka]` - Type annotations for
  [Kafka](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kafka/)
  service.
- `types-aiobotocore-lite[kafkaconnect]` - Type annotations for
  [KafkaConnect](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kafkaconnect/)
  service.
- `types-aiobotocore-lite[kendra]` - Type annotations for
  [kendra](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kendra/)
  service.
- `types-aiobotocore-lite[keyspaces]` - Type annotations for
  [Keyspaces](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_keyspaces/)
  service.
- `types-aiobotocore-lite[kinesis]` - Type annotations for
  [Kinesis](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesis/)
  service.
- `types-aiobotocore-lite[kinesis-video-archived-media]` - Type annotations for
  [KinesisVideoArchivedMedia](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesis_video_archived_media/)
  service.
- `types-aiobotocore-lite[kinesis-video-media]` - Type annotations for
  [KinesisVideoMedia](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesis_video_media/)
  service.
- `types-aiobotocore-lite[kinesis-video-signaling]` - Type annotations for
  [KinesisVideoSignalingChannels](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesis_video_signaling/)
  service.
- `types-aiobotocore-lite[kinesisanalytics]` - Type annotations for
  [KinesisAnalytics](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesisanalytics/)
  service.
- `types-aiobotocore-lite[kinesisanalyticsv2]` - Type annotations for
  [KinesisAnalyticsV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesisanalyticsv2/)
  service.
- `types-aiobotocore-lite[kinesisvideo]` - Type annotations for
  [KinesisVideo](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kinesisvideo/)
  service.
- `types-aiobotocore-lite[kms]` - Type annotations for
  [KMS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_kms/)
  service.
- `types-aiobotocore-lite[lakeformation]` - Type annotations for
  [LakeFormation](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lakeformation/)
  service.
- `types-aiobotocore-lite[lambda]` - Type annotations for
  [Lambda](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lambda/)
  service.
- `types-aiobotocore-lite[lex-models]` - Type annotations for
  [LexModelBuildingService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lex_models/)
  service.
- `types-aiobotocore-lite[lex-runtime]` - Type annotations for
  [LexRuntimeService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lex_runtime/)
  service.
- `types-aiobotocore-lite[lexv2-models]` - Type annotations for
  [LexModelsV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_models/)
  service.
- `types-aiobotocore-lite[lexv2-runtime]` - Type annotations for
  [LexRuntimeV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_runtime/)
  service.
- `types-aiobotocore-lite[license-manager]` - Type annotations for
  [LicenseManager](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_license_manager/)
  service.
- `types-aiobotocore-lite[lightsail]` - Type annotations for
  [Lightsail](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lightsail/)
  service.
- `types-aiobotocore-lite[location]` - Type annotations for
  [LocationService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_location/)
  service.
- `types-aiobotocore-lite[logs]` - Type annotations for
  [CloudWatchLogs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_logs/)
  service.
- `types-aiobotocore-lite[lookoutequipment]` - Type annotations for
  [LookoutEquipment](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lookoutequipment/)
  service.
- `types-aiobotocore-lite[lookoutmetrics]` - Type annotations for
  [LookoutMetrics](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lookoutmetrics/)
  service.
- `types-aiobotocore-lite[lookoutvision]` - Type annotations for
  [LookoutforVision](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lookoutvision/)
  service.
- `types-aiobotocore-lite[machinelearning]` - Type annotations for
  [MachineLearning](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_machinelearning/)
  service.
- `types-aiobotocore-lite[macie]` - Type annotations for
  [Macie](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_macie/)
  service.
- `types-aiobotocore-lite[macie2]` - Type annotations for
  [Macie2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_macie2/)
  service.
- `types-aiobotocore-lite[managedblockchain]` - Type annotations for
  [ManagedBlockchain](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_managedblockchain/)
  service.
- `types-aiobotocore-lite[marketplace-catalog]` - Type annotations for
  [MarketplaceCatalog](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_marketplace_catalog/)
  service.
- `types-aiobotocore-lite[marketplace-entitlement]` - Type annotations for
  [MarketplaceEntitlementService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_marketplace_entitlement/)
  service.
- `types-aiobotocore-lite[marketplacecommerceanalytics]` - Type annotations for
  [MarketplaceCommerceAnalytics](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_marketplacecommerceanalytics/)
  service.
- `types-aiobotocore-lite[mediaconnect]` - Type annotations for
  [MediaConnect](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediaconnect/)
  service.
- `types-aiobotocore-lite[mediaconvert]` - Type annotations for
  [MediaConvert](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediaconvert/)
  service.
- `types-aiobotocore-lite[medialive]` - Type annotations for
  [MediaLive](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_medialive/)
  service.
- `types-aiobotocore-lite[mediapackage]` - Type annotations for
  [MediaPackage](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediapackage/)
  service.
- `types-aiobotocore-lite[mediapackage-vod]` - Type annotations for
  [MediaPackageVod](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediapackage_vod/)
  service.
- `types-aiobotocore-lite[mediastore]` - Type annotations for
  [MediaStore](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediastore/)
  service.
- `types-aiobotocore-lite[mediastore-data]` - Type annotations for
  [MediaStoreData](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediastore_data/)
  service.
- `types-aiobotocore-lite[mediatailor]` - Type annotations for
  [MediaTailor](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mediatailor/)
  service.
- `types-aiobotocore-lite[memorydb]` - Type annotations for
  [MemoryDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_memorydb/)
  service.
- `types-aiobotocore-lite[meteringmarketplace]` - Type annotations for
  [MarketplaceMetering](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_meteringmarketplace/)
  service.
- `types-aiobotocore-lite[mgh]` - Type annotations for
  [MigrationHub](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mgh/)
  service.
- `types-aiobotocore-lite[mgn]` - Type annotations for
  [mgn](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mgn/)
  service.
- `types-aiobotocore-lite[migration-hub-refactor-spaces]` - Type annotations
  for
  [MigrationHubRefactorSpaces](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_migration_hub_refactor_spaces/)
  service.
- `types-aiobotocore-lite[migrationhub-config]` - Type annotations for
  [MigrationHubConfig](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_migrationhub_config/)
  service.
- `types-aiobotocore-lite[migrationhubstrategy]` - Type annotations for
  [MigrationHubStrategyRecommendations](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_migrationhubstrategy/)
  service.
- `types-aiobotocore-lite[mobile]` - Type annotations for
  [Mobile](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mobile/)
  service.
- `types-aiobotocore-lite[mq]` - Type annotations for
  [MQ](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mq/)
  service.
- `types-aiobotocore-lite[mturk]` - Type annotations for
  [MTurk](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mturk/)
  service.
- `types-aiobotocore-lite[mwaa]` - Type annotations for
  [MWAA](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_mwaa/)
  service.
- `types-aiobotocore-lite[neptune]` - Type annotations for
  [Neptune](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_neptune/)
  service.
- `types-aiobotocore-lite[network-firewall]` - Type annotations for
  [NetworkFirewall](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_network_firewall/)
  service.
- `types-aiobotocore-lite[networkmanager]` - Type annotations for
  [NetworkManager](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_networkmanager/)
  service.
- `types-aiobotocore-lite[nimble]` - Type annotations for
  [NimbleStudio](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_nimble/)
  service.
- `types-aiobotocore-lite[opensearch]` - Type annotations for
  [OpenSearchService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_opensearch/)
  service.
- `types-aiobotocore-lite[opsworks]` - Type annotations for
  [OpsWorks](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_opsworks/)
  service.
- `types-aiobotocore-lite[opsworkscm]` - Type annotations for
  [OpsWorksCM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_opsworkscm/)
  service.
- `types-aiobotocore-lite[organizations]` - Type annotations for
  [Organizations](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_organizations/)
  service.
- `types-aiobotocore-lite[outposts]` - Type annotations for
  [Outposts](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_outposts/)
  service.
- `types-aiobotocore-lite[panorama]` - Type annotations for
  [Panorama](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_panorama/)
  service.
- `types-aiobotocore-lite[personalize]` - Type annotations for
  [Personalize](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_personalize/)
  service.
- `types-aiobotocore-lite[personalize-events]` - Type annotations for
  [PersonalizeEvents](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_personalize_events/)
  service.
- `types-aiobotocore-lite[personalize-runtime]` - Type annotations for
  [PersonalizeRuntime](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_personalize_runtime/)
  service.
- `types-aiobotocore-lite[pi]` - Type annotations for
  [PI](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_pi/)
  service.
- `types-aiobotocore-lite[pinpoint]` - Type annotations for
  [Pinpoint](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_pinpoint/)
  service.
- `types-aiobotocore-lite[pinpoint-email]` - Type annotations for
  [PinpointEmail](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_pinpoint_email/)
  service.
- `types-aiobotocore-lite[pinpoint-sms-voice]` - Type annotations for
  [PinpointSMSVoice](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_pinpoint_sms_voice/)
  service.
- `types-aiobotocore-lite[polly]` - Type annotations for
  [Polly](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_polly/)
  service.
- `types-aiobotocore-lite[pricing]` - Type annotations for
  [Pricing](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_pricing/)
  service.
- `types-aiobotocore-lite[proton]` - Type annotations for
  [Proton](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_proton/)
  service.
- `types-aiobotocore-lite[qldb]` - Type annotations for
  [QLDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_qldb/)
  service.
- `types-aiobotocore-lite[qldb-session]` - Type annotations for
  [QLDBSession](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_qldb_session/)
  service.
- `types-aiobotocore-lite[quicksight]` - Type annotations for
  [QuickSight](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_quicksight/)
  service.
- `types-aiobotocore-lite[ram]` - Type annotations for
  [RAM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ram/)
  service.
- `types-aiobotocore-lite[rbin]` - Type annotations for
  [RecycleBin](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rbin/)
  service.
- `types-aiobotocore-lite[rds]` - Type annotations for
  [RDS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rds/)
  service.
- `types-aiobotocore-lite[rds-data]` - Type annotations for
  [RDSDataService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rds_data/)
  service.
- `types-aiobotocore-lite[redshift]` - Type annotations for
  [Redshift](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_redshift/)
  service.
- `types-aiobotocore-lite[redshift-data]` - Type annotations for
  [RedshiftDataAPIService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_redshift_data/)
  service.
- `types-aiobotocore-lite[rekognition]` - Type annotations for
  [Rekognition](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rekognition/)
  service.
- `types-aiobotocore-lite[resiliencehub]` - Type annotations for
  [ResilienceHub](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_resiliencehub/)
  service.
- `types-aiobotocore-lite[resource-groups]` - Type annotations for
  [ResourceGroups](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_resource_groups/)
  service.
- `types-aiobotocore-lite[resourcegroupstaggingapi]` - Type annotations for
  [ResourceGroupsTaggingAPI](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_resourcegroupstaggingapi/)
  service.
- `types-aiobotocore-lite[robomaker]` - Type annotations for
  [RoboMaker](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_robomaker/)
  service.
- `types-aiobotocore-lite[route53]` - Type annotations for
  [Route53](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53/)
  service.
- `types-aiobotocore-lite[route53-recovery-cluster]` - Type annotations for
  [Route53RecoveryCluster](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53_recovery_cluster/)
  service.
- `types-aiobotocore-lite[route53-recovery-control-config]` - Type annotations
  for
  [Route53RecoveryControlConfig](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53_recovery_control_config/)
  service.
- `types-aiobotocore-lite[route53-recovery-readiness]` - Type annotations for
  [Route53RecoveryReadiness](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53_recovery_readiness/)
  service.
- `types-aiobotocore-lite[route53domains]` - Type annotations for
  [Route53Domains](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53domains/)
  service.
- `types-aiobotocore-lite[route53resolver]` - Type annotations for
  [Route53Resolver](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_route53resolver/)
  service.
- `types-aiobotocore-lite[rum]` - Type annotations for
  [CloudWatchRUM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_rum/)
  service.
- `types-aiobotocore-lite[s3]` - Type annotations for
  [S3](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_s3/)
  service.
- `types-aiobotocore-lite[s3control]` - Type annotations for
  [S3Control](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_s3control/)
  service.
- `types-aiobotocore-lite[s3outposts]` - Type annotations for
  [S3Outposts](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_s3outposts/)
  service.
- `types-aiobotocore-lite[sagemaker]` - Type annotations for
  [SageMaker](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sagemaker/)
  service.
- `types-aiobotocore-lite[sagemaker-a2i-runtime]` - Type annotations for
  [AugmentedAIRuntime](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sagemaker_a2i_runtime/)
  service.
- `types-aiobotocore-lite[sagemaker-edge]` - Type annotations for
  [SagemakerEdgeManager](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sagemaker_edge/)
  service.
- `types-aiobotocore-lite[sagemaker-featurestore-runtime]` - Type annotations
  for
  [SageMakerFeatureStoreRuntime](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sagemaker_featurestore_runtime/)
  service.
- `types-aiobotocore-lite[sagemaker-runtime]` - Type annotations for
  [SageMakerRuntime](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sagemaker_runtime/)
  service.
- `types-aiobotocore-lite[savingsplans]` - Type annotations for
  [SavingsPlans](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_savingsplans/)
  service.
- `types-aiobotocore-lite[schemas]` - Type annotations for
  [Schemas](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_schemas/)
  service.
- `types-aiobotocore-lite[sdb]` - Type annotations for
  [SimpleDB](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sdb/)
  service.
- `types-aiobotocore-lite[secretsmanager]` - Type annotations for
  [SecretsManager](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_secretsmanager/)
  service.
- `types-aiobotocore-lite[securityhub]` - Type annotations for
  [SecurityHub](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_securityhub/)
  service.
- `types-aiobotocore-lite[serverlessrepo]` - Type annotations for
  [ServerlessApplicationRepository](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_serverlessrepo/)
  service.
- `types-aiobotocore-lite[service-quotas]` - Type annotations for
  [ServiceQuotas](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_service_quotas/)
  service.
- `types-aiobotocore-lite[servicecatalog]` - Type annotations for
  [ServiceCatalog](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_servicecatalog/)
  service.
- `types-aiobotocore-lite[servicecatalog-appregistry]` - Type annotations for
  [AppRegistry](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_servicecatalog_appregistry/)
  service.
- `types-aiobotocore-lite[servicediscovery]` - Type annotations for
  [ServiceDiscovery](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_servicediscovery/)
  service.
- `types-aiobotocore-lite[ses]` - Type annotations for
  [SES](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ses/)
  service.
- `types-aiobotocore-lite[sesv2]` - Type annotations for
  [SESV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sesv2/)
  service.
- `types-aiobotocore-lite[shield]` - Type annotations for
  [Shield](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_shield/)
  service.
- `types-aiobotocore-lite[signer]` - Type annotations for
  [signer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_signer/)
  service.
- `types-aiobotocore-lite[sms]` - Type annotations for
  [SMS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sms/)
  service.
- `types-aiobotocore-lite[sms-voice]` - Type annotations for
  [PinpointSMSVoice](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sms_voice/)
  service.
- `types-aiobotocore-lite[snow-device-management]` - Type annotations for
  [SnowDeviceManagement](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_snow_device_management/)
  service.
- `types-aiobotocore-lite[snowball]` - Type annotations for
  [Snowball](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_snowball/)
  service.
- `types-aiobotocore-lite[sns]` - Type annotations for
  [SNS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sns/)
  service.
- `types-aiobotocore-lite[sqs]` - Type annotations for
  [SQS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sqs/)
  service.
- `types-aiobotocore-lite[ssm]` - Type annotations for
  [SSM](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ssm/)
  service.
- `types-aiobotocore-lite[ssm-contacts]` - Type annotations for
  [SSMContacts](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ssm_contacts/)
  service.
- `types-aiobotocore-lite[ssm-incidents]` - Type annotations for
  [SSMIncidents](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_ssm_incidents/)
  service.
- `types-aiobotocore-lite[sso]` - Type annotations for
  [SSO](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sso/)
  service.
- `types-aiobotocore-lite[sso-admin]` - Type annotations for
  [SSOAdmin](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sso_admin/)
  service.
- `types-aiobotocore-lite[sso-oidc]` - Type annotations for
  [SSOOIDC](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sso_oidc/)
  service.
- `types-aiobotocore-lite[stepfunctions]` - Type annotations for
  [SFN](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_stepfunctions/)
  service.
- `types-aiobotocore-lite[storagegateway]` - Type annotations for
  [StorageGateway](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_storagegateway/)
  service.
- `types-aiobotocore-lite[sts]` - Type annotations for
  [STS](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_sts/)
  service.
- `types-aiobotocore-lite[support]` - Type annotations for
  [Support](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_support/)
  service.
- `types-aiobotocore-lite[swf]` - Type annotations for
  [SWF](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_swf/)
  service.
- `types-aiobotocore-lite[synthetics]` - Type annotations for
  [Synthetics](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_synthetics/)
  service.
- `types-aiobotocore-lite[textract]` - Type annotations for
  [Textract](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_textract/)
  service.
- `types-aiobotocore-lite[timestream-query]` - Type annotations for
  [TimestreamQuery](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_timestream_query/)
  service.
- `types-aiobotocore-lite[timestream-write]` - Type annotations for
  [TimestreamWrite](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_timestream_write/)
  service.
- `types-aiobotocore-lite[transcribe]` - Type annotations for
  [TranscribeService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_transcribe/)
  service.
- `types-aiobotocore-lite[transfer]` - Type annotations for
  [Transfer](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_transfer/)
  service.
- `types-aiobotocore-lite[translate]` - Type annotations for
  [Translate](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_translate/)
  service.
- `types-aiobotocore-lite[voice-id]` - Type annotations for
  [VoiceID](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_voice_id/)
  service.
- `types-aiobotocore-lite[waf]` - Type annotations for
  [WAF](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_waf/)
  service.
- `types-aiobotocore-lite[waf-regional]` - Type annotations for
  [WAFRegional](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_waf_regional/)
  service.
- `types-aiobotocore-lite[wafv2]` - Type annotations for
  [WAFV2](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_wafv2/)
  service.
- `types-aiobotocore-lite[wellarchitected]` - Type annotations for
  [WellArchitected](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_wellarchitected/)
  service.
- `types-aiobotocore-lite[wisdom]` - Type annotations for
  [ConnectWisdomService](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_wisdom/)
  service.
- `types-aiobotocore-lite[workdocs]` - Type annotations for
  [WorkDocs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_workdocs/)
  service.
- `types-aiobotocore-lite[worklink]` - Type annotations for
  [WorkLink](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_worklink/)
  service.
- `types-aiobotocore-lite[workmail]` - Type annotations for
  [WorkMail](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_workmail/)
  service.
- `types-aiobotocore-lite[workmailmessageflow]` - Type annotations for
  [WorkMailMessageFlow](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_workmailmessageflow/)
  service.
- `types-aiobotocore-lite[workspaces]` - Type annotations for
  [WorkSpaces](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_workspaces/)
  service.
- `types-aiobotocore-lite[workspaces-web]` - Type annotations for
  [WorkSpacesWeb](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_workspaces_web/)
  service.
- `types-aiobotocore-lite[xray]` - Type annotations for
  [XRay](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_xray/)
  service.
